<?php

namespace NoccyLabs\CssLike;

/**
 * 
 * 
 */
class Directive
{
    /** @var string The directive name */
    protected $directive;
    /** @var array Parameters for the directive */
    protected $params = [];

    /**
     * Create a new directive
     *
     * @param string The directive string
     */
    public function __construct($directive)
    {
        if (!preg_match('/^(.+?)\((.*)\)$/', $directive, $match)) {
            throw new \InvalidArgumentException("Bad directive {$directive}");
        }
        $this->directive = $match[1];
        if ($match[2]) {
            $this->params = str_getcsv($match[2],',',"'");
        }
    }

    /**
     * Get the name of the directive
     *
     * @return string The name of the directive
     */
    public function getName()
    {
        return $this->directive;
    }

    /**
     * Get the parameters passed to this directive
     *
     * @return array Directive parameters
     */
    public function getParams()
    {
        return $this->params;
    }

}

