<?php

namespace NoccyLabs\CssLike;

/**
 * 
 * 
 */
class Property
{
    /** @var string $property The property name */
    protected $property;
    /** @var string $value The property value */
    protected $value;

    /**
     * Create a new property from a string containing the name and value,
     * separated by a colon (:)
     *
     * @param string $value
     */
    public function __construct($value)
    {
        if (strpos($value,':')===false) {
            throw new \RuntimeException("Invalid property {$value}");
        }
        list($this->property, $this->value) = array_map('trim',explode(':',$value,2));
    }

    /**
     * Get the property name
     *
     * @return string
     */
    public function getName()
    {
        return $this->property;
    }

    /**
     * Get the property value
     *
     * @return string
     */
    public function getValue()
    {
        return $this->value;
    }

    /**
     * Set the property value
     *
     * @param string $value
     */
    public function setValue($value)
    {
        $this->value = $value;
    }
}

